local VillageDeco = ...

-- Register Asset - Wooden Cart and Crane with Resources
VillageDeco:registerAssetId("models/cart.fbx/Prefab/Barrels_Part", "PREFAB_BARRELS_PART")
VillageDeco:registerAssetId("models/cart.fbx/Prefab/Cart_Part", "PREFAB_CART_PART")
VillageDeco:registerAssetId("models/cart.fbx/Prefab/Crane_Part", "PREFAB_CRANE_PART")
VillageDeco:registerAssetId("models/cart.fbx/Prefab/Crates_Part", "PREFAB_CRATES_PART")
VillageDeco:registerAssetId("models/cart.fbx/Prefab/Grain_Part", "PREFAB_GRAIN_PART")
VillageDeco:registerAssetId("models/cart.fbx/Prefab/Hay_Part", "PREFAB_HAY_PART")
VillageDeco:registerAssetId("models/cart.fbx/Prefab/Logs_Part", "PREFAB_LOGS_PART")
VillageDeco:registerAssetId("models/cart.fbx/Prefab/Mix1_Part", "PREFAB_MIX1_PART")
VillageDeco:registerAssetId("models/cart.fbx/Prefab/Mix2_Part", "PREFAB_MIX2_PART")
-- Register Asset - Barrels
VillageDeco:registerAssetId("models/barrels.fbx/Prefab/Barrel1", "PREFAB_BARREL1")
VillageDeco:registerAssetId("models/barrels.fbx/Prefab/Barrel2", "PREFAB_BARREL2")
VillageDeco:registerAssetId("models/barrels.fbx/Prefab/Barrel3", "PREFAB_BARREL3")
VillageDeco:registerAssetId("models/barrels.fbx/Prefab/Barrel_Small1", "PREFAB_BARREL_SMALL1")
VillageDeco:registerAssetId("models/barrels.fbx/Prefab/Barrel_Berries", "PREFAB_BARREL_BERRIES")
VillageDeco:registerAssetId("models/barrels.fbx/Prefab/Barrel_Fish", "PREFAB_BARREL_FISH")
VillageDeco:registerAssetId("models/barrels.fbx/Prefab/Barrel_Grapes", "PREFAB_BARREL_GRAPES")
VillageDeco:registerAssetId("models/barrels.fbx/Prefab/Barrel_Hops", "PREFAB_BARREL_HOPS")
-- Register Asset - Crates
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate1", "PREFAB_CRATE1")
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate2", "PREFAB_CRATE2")
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate3", "PREFAB_CRATE3")
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate4", "PREFAB_CRATE4")
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate5", "PREFAB_CRATE5")
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate_Flat1", "PREFAB_CRATE_FLAT1")
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate_Flat2", "PREFAB_CRATE_FLAT2")
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate_Coal", "PREFAB_CRATE_COAL")
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Handcrate", "PREFAB_HANDCRATE")
-- Register Asset - Fences
VillageDeco:registerAssetId("models/fences.fbx/Prefab/Fence1", "PREFAB_FENCE1")
VillageDeco:registerAssetId("models/fences.fbx/Prefab/Fence2", "PREFAB_FENCE2")
VillageDeco:registerAssetId("models/fences.fbx/Prefab/Fence3", "PREFAB_FENCE3")
VillageDeco:registerAssetId("models/fences.fbx/Prefab/Fence4", "PREFAB_FENCE4")
VillageDeco:registerAssetId("models/fences.fbx/Prefab/Fence5", "PREFAB_FENCE5")
-- Register Asset - Flowers
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Red", "PREFAB_FLOWER_RED")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Orange", "PREFAB_FLOWER_ORANGE")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Yellow", "PREFAB_FLOWER_YELLOW")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Yellow_Light", "PREFAB_FLOWER_LIGHT_YELLOW")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Blue", "PREFAB_FLOWER_BLUE")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Blue_Light", "PREFAB_FLOWER_LIGHT_BLUE")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Teal", "PREFAB_FLOWER_TEAL")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Purple", "PREFAB_FLOWER_PURPLE")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Purple2", "PREFAB_FLOWER_PURPLE2")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Purple_Light", "PREFAB_FLOWER_LIGHT_PURPLE")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Pink", "PREFAB_FLOWER_PINK")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Pink2", "PREFAB_FLOWER_PINK2")
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/White", "PREFAB_FLOWER_WHITE")
-- Register Asset - Gravestones
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone1", "PREFAB_GRAVESTONE1")
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone2", "PREFAB_GRAVESTONE2")
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone3", "PREFAB_GRAVESTONE3")
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone4", "PREFAB_GRAVESTONE4")
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone5", "PREFAB_GRAVESTONE5")
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone6", "PREFAB_GRAVESTONE6")
-- Register Asset - Grain Sacks
VillageDeco:registerAssetId("models/sacks.fbx/Prefab/Sack_Grain", "PREFAB_SACK_GRAIN")
VillageDeco:registerAssetId("models/sacks.fbx/Prefab/Sack_Closed", "PREFAB_SACK_CLOSED")
VillageDeco:registerAssetId("models/sacks.fbx/Prefab/Sack_Square", "PREFAB_SACK_SQUARE")
-- Register Asset - Hay Bales
VillageDeco:registerAssetId("models/haybales.fbx/Prefab/Haybale1", "PREFAB_HAYBALE1")
VillageDeco:registerAssetId("models/haybales.fbx/Prefab/Haybale2", "PREFAB_HAYBALE2")
VillageDeco:registerAssetId("models/haybales.fbx/Prefab/Haybale3", "PREFAB_HAYBALE3")
VillageDeco:registerAssetId("models/haybales.fbx/Prefab/Haybale4", "PREFAB_HAYBALE4")
-- Register Asset - Logs
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Small1", "PREFAB_SMALLWOOD1")
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Small2", "PREFAB_SMALLWOOD2")
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Small3", "PREFAB_SMALLWOOD3")
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Small4", "PREFAB_SMALLWOOD4")
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Large1", "PREFAB_LARGEWOOD1")
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Large2", "PREFAB_LARGEWOOD2")
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Large3", "PREFAB_LARGEWOOD3")
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Chopped1", "PREFAB_CHOPPEDWOOD1")
-- Register Asset - Misc
VillageDeco:registerAssetId("models/brazier.fbx/Prefab/Brazier_On_Fire", "PREFAB_BRAZIER_ON_FIRE")
VillageDeco:registerAssetId("models/bench.fbx/Prefab/Bench_Stone1", "PREFAB_BENCH_STONE1")
VillageDeco:registerAssetId("models/bench.fbx/Prefab/Bench_Stone2", "PREFAB_BENCH_STONE2")
VillageDeco:registerAssetId("models/bush.fbx/Prefab/Bush", "PREFAB_BUSH")
VillageDeco:registerAssetId("models/bush.fbx/Prefab/Bush_Blue", "PREFAB_BUSH_BLUE")
VillageDeco:registerAssetId("models/bush.fbx/Prefab/Bush_Purple", "PREFAB_BUSH_PURPLE")
VillageDeco:registerAssetId("models/bush.fbx/Prefab/Bush_Red", "PREFAB_BUSH_RED")
VillageDeco:registerAssetId("models/bush.fbx/Prefab/Bush_Yellow", "PREFAB_BUSH_YELLOW")
VillageDeco:registerAssetId("models/campfire.fbx/Prefab/Campfire", "PREFAB_CAMPFIRE")
VillageDeco:registerAssetId("models/campfire.fbx/Prefab/Campfire_On_Fire", "PREFAB_CAMPFIRE_ON_FIRE")
VillageDeco:registerAssetId("models/cat.fbx/Prefab/Cat", "PREFAB_CAT")
VillageDeco:registerAssetId("models/cauldron.fbx/Prefab/Cauldron", "PREFAB_CAULDRON")
VillageDeco:registerAssetId("models/coffin.fbx/Prefab/Coffin_Stone", "PREFAB_COFFIN_STONE")
VillageDeco:registerAssetId("models/chest.fbx/Prefab/Chest", "PREFAB_CHEST")
VillageDeco:registerAssetId("models/dog.fbx/Prefab/Dog", "PREFAB_DOG")
VillageDeco:registerAssetId("models/dragon.fbx/Prefab/Dragon", "PREFAB_DRAGON")
VillageDeco:registerAssetId("models/guillotine.fbx/Prefab/Guillotine", "PREFAB_GUILLOTINE")
VillageDeco:registerAssetId("models/cages.fbx/Prefab/Hanging_Cages", "PREFAB_HANGING_CAGES")
VillageDeco:registerAssetId("models/lantern.fbx/Prefab/Lantern", "PREFAB_LANTERN")
VillageDeco:registerAssetId("models/pumpkin.fbx/Prefab/Pumpkin", "PREFAB_PUMPKIN")
VillageDeco:registerAssetId("models/skulls.fbx/Prefab/Skulls1", "PREFAB_SKULLS1")
VillageDeco:registerAssetId("models/skulls.fbx/Prefab/Skulls2", "PREFAB_SKULLS2")
VillageDeco:registerAssetId("models/strangeplant.fbx/Prefab/StrangePlant", "PREFAB_STRANGEPLANT")
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Stump", "PREFAB_STUMP")
VillageDeco:registerAssetId("models/sword_stone.fbx/Prefab/Sword_Stone", "PREFAB_SWORD_STONE")
VillageDeco:registerAssetId("models/target.fbx/Prefab/Target", "PREFAB_TARGET")
VillageDeco:registerAssetId("models/tools.fbx/Prefab/Tools_Barrel", "PREFAB_TOOLS_BARREL")
VillageDeco:registerAssetId("models/tools.fbx/Prefab/Tools_Rack", "PREFAB_TOOLS_RACK")
VillageDeco:registerAssetId("models/trough.fbx/Prefab/Trough", "PREFAB_TROUGH")
VillageDeco:registerAssetId("models/tub.fbx/Prefab/Tub", "PREFAB_TUB")
VillageDeco:registerAssetId("models/wheel.fbx/Prefab/Wheel", "PREFAB_WHEEL")
VillageDeco:registerAssetId("models/cart.fbx/Prefab/Wheelbarrow", "PREFAB_WHEELBARROW")
VillageDeco:registerAssetId("models/woodengate.fbx/Prefab/Wooden_Door1", "PREFAB_WOODEN_DOOR1")
VillageDeco:registerAssetId("models/woodengate.fbx/Prefab/Woodengate_Open", "PREFAB_WOODENGATE_OPEN")
VillageDeco:registerAssetId("models/woodengate.fbx/Prefab/Woodengate_Locked", "PREFAB_WOODENGATE_LOCKED")
VillageDeco:registerAssetId("models/grass_clearing_stone.fbx/Prefab/Grass_Clearing_Stone", "PREFAB_GRASS_CLEARING_STONE")

VillageDeco:registerAssetProcessor("models/cart.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Register Materials
VillageDeco:registerAssetId("models/bush.fbx/Materials/bush", "BUSH_LEAVES")
VillageDeco:override({
    Id = "BUSH_LEAVES",
	HasAlphaTest = true,
	BackFaceVisible = true
})

-- Register Building Part - Barrels
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BARREL1",
	Name = "BARREL1_NAME",
	Description = "BARREL1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BARREL1"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BARREL2",
	Name = "BARREL2_NAME",
	Description = "BARREL2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BARREL2"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BARREL3",
	Name = "BARREL3_NAME",
	Description = "BARREL3_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 0.3},
			{0.5, -0.3},
			{-0.5, -0.3},
			{-0.5, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BARREL3"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BARREL_SMALL1",
	Name = "BARREL_SMALL1_NAME",
	Description = "BARREL_SMALL1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BARREL_SMALL1"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BARREL_BERRIES",
	Name = "BARREL_BERRIES_NAME",
	Description = "BARREL_BERRIES_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BARREL_BERRIES"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BARREL_FISH",
	Name = "BARREL_FISH_NAME",
	Description = "BARREL_FISH_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BARREL_FISH"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BARREL_GRAPES",
	Name = "BARREL_GRAPES_NAME",
	Description = "BARREL_GRAPES_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BARREL_GRAPES"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BARREL_HOPS",
	Name = "BARREL_HOPS_NAME",
	Description = "BARREL_HOPS_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BARREL_HOPS"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
-- Register Building Part - Wooden Cart with Resources
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BARRELS_PART",
	Name = "BARRELS_PART_NAME",
	Description = "BARRELS_PART_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 1},
			{0.5, -1},
			{-0.5, -1},
			{-0.5, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BARRELS_PART"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 1 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CART_PART",
	Name = "CART_PART_NAME",
	Description = "CART_PART_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1, 1.5},
			{1, -1.5},
			{-1, -1.5},
			{-1, 1.5}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CART_PART"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 2 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRANE_PART",
	Name = "CRANE_PART_NAME",
	Description = "CRANE_PART_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1, 1},
			{1, -1},
			{-1, -1},
			{-1, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRANE_PART"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRATES_PART",
	Name = "CRATES_PART_NAME",
	Description = "CRATES_PART_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 1},
			{0.5, -1},
			{-0.5, -1},
			{-0.5, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATES_PART"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 1 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "GRAIN_PART",
	Name = "GRAIN_PART_NAME",
	Description = "GRAIN_PART_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 1},
			{0.5, -1},
			{-0.5, -1},
			{-0.5, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAIN_PART"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 1 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "HAY_PART",
	Name = "HAY_PART_NAME",
	Description = "HAY_PART_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 1},
			{0.5, -1},
			{-0.5, -1},
			{-0.5, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_HAY_PART"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 1 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "LOGS_PART",
	Name = "LOGS_PART_NAME",
	Description = "LOGS_PART_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 1},
			{0.5, -1},
			{-0.5, -1},
			{-0.5, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LOGS_PART"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 1 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "MIX1_PART",
	Name = "MIX1_PART_NAME",
	Description = "MIX1_PART_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 1},
			{0.5, -1},
			{-0.5, -1},
			{-0.5, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MIX1_PART"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 1 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "MIX2_PART",
	Name = "MIX2_PART_NAME",
	Description = "MIX2_PART_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 1},
			{0.5, -1},
			{-0.5, -1},
			{-0.5, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MIX2_PART"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 1 }
	}
})

-- Register Building Part - Crates
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRATE1",
	Name = "CRATE1_NAME",
	Description = "CRATE1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE1"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRATE2",
	Name = "CRATE2_NAME",
	Description = "CRATE2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.6, 0.2},
			{0.6, -0.2},
			{-0.6, -0.2},
			{-0.6, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE2"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRATE3",
	Name = "CRATE3_NAME",
	Description = "CRATE3_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 0.3},
			{0.5, -0.3},
			{-0.5, -0.3},
			{-0.5, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE3"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRATE4",
	Name = "CRATE4_NAME",
	Description = "CRATE4_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.6, 0.6},
			{0.6, -0.6},
			{-0.6, -0.6},
			{-0.6, 0.6}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE4"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRATE5",
	Name = "CRATE5_NAME",
	Description = "CRATE5_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE5"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRATE_FLAT1",
	Name = "CRATE_FLAT1_NAME",
	Description = "CRATE_FLAT1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.4, 0.2},
			{0.4, -0.2},
			{-0.4, -0.2},
			{-0.4, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE_FLAT1"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRATE_FLAT2",
	Name = "CRATE_FLAT2_NAME",
	Description = "CRATE_FLAT2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 0.5},
			{0.5, -0.5},
			{-0.5, -0.5},
			{-0.5, 0.5}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE_FLAT2"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRATE_COAL",
	Name = "CRATE_COAL_NAME",
	Description = "CRATE_COAL_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE_COAL"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "HANDCRATE",
	Name = "HANDCRATE_NAME",
	Description = "HANDCRATE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_HANDCRATE"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
-- Register Building Part - Fences
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FENCE1",
	Name = "FENCE1_NAME",
	Description = "FENCE1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.8, 0.3},
			{1.8, -0.3},
			{-1.8, -0.3},
			{-1.8, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE1"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FENCE2",
	Name = "FENCE2_NAME",
	Description = "FENCE2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.6, 0.3},
			{1.6, -0.3},
			{-1.6, -0.3},
			{-1.6, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE2"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FENCE3",
	Name = "FENCE3_NAME",
	Description = "FENCE3_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.3, 0.2},
			{1.3, -0.2},
			{-1.3, -0.2},
			{-1.3, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE3"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FENCE4",
	Name = "FENCE4_NAME",
	Description = "FENCE4_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.2, 0.1},
			{1.2, -0.1},
			{-1.2, -0.1},
			{-1.2, 0.1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE4"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FENCE5",
	Name = "FENCE5_NAME",
	Description = "FENCE5_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.2, 0.1},
			{1.2, -0.1},
			{-1.2, -0.1},
			{-1.2, 0.1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE5"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
-- Register Building Part - Bushes
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BUSH",
	Name = "BUSH_NAME",
	Description = "BUSH_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BUSH"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BUSH_BLUE",
	Name = "BUSH_BLUE_NAME",
	Description = "BUSH_BLUE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BUSH_BLUE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BUSH_PURPLE",
	Name = "BUSH_PURPLE_NAME",
	Description = "BUSH_PURPLE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BUSH_PURPLE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BUSH_RED",
	Name = "BUSH_RED_NAME",
	Description = "BUSH_RED_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BUSH_RED"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BUSH_YELLOW",
	Name = "BUSH_YELLOW_NAME",
	Description = "BUSH_YELLOW_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BUSH_YELLOW"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.2
		}
	}
})
-- Register Building Part - Flowers
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_RED",
	Name = "FLOWER_RED_NAME",
	Description = "FLOWER_RED_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_RED"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_BLUE",
	Name = "FLOWER_BLUE_NAME",
	Description = "FLOWER_BLUE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_BLUE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_YELLOW",
	Name = "FLOWER_YELLOW_NAME",
	Description = "FLOWER_YELLOW_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_YELLOW"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_ORANGE",
	Name = "FLOWER_ORANGE_NAME",
	Description = "FLOWER_ORANGE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_ORANGE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_PURPLE",
	Name = "FLOWER_PURPLE_NAME",
	Description = "FLOWER_PURPLE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_PURPLE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_PURPLE2",
	Name = "FLOWER_PURPLE2_NAME",
	Description = "FLOWER_PURPLE2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_PURPLE2"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_WHITE",
	Name = "FLOWER_WHITE_NAME",
	Description = "FLOWER_WHITE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_WHITE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_PINK",
	Name = "FLOWER_PINK_NAME",
	Description = "FLOWER_PINK_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_PINK"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_PINK2",
	Name = "FLOWER_PINK2_NAME",
	Description = "FLOWER_PINK2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_PINK2"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_TEAL",
	Name = "FLOWER_TEAL_NAME",
	Description = "FLOWER_TEAL_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_TEAL"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_LIGHT_BLUE",
	Name = "FLOWER_LIGHT_BLUE_NAME",
	Description = "FLOWER_LIGHT_BLUE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_LIGHT_BLUE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_LIGHT_PURPLE",
	Name = "FLOWER_LIGHT_PURPLE_NAME",
	Description = "FLOWER_LIGHT_PURPLE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_LIGHT_PURPLE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWER_LIGHT_YELLOW",
	Name = "FLOWER_LIGHT_YELLOW_NAME",
	Description = "FLOWER_LIGHT_YELLOW_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_LIGHT_YELLOW"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 10.0,
			Value = 0.2
		}
	}
})
-- Register Building Part - Gravestones
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "GRAVESTONE1",
	Name = "GRAVESTONE1_NAME",
	Description = "GRAVESTONE1_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE1"
	},
	EstateSplendor = {
		{ Estate = "CLERGY", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "GRAVESTONE2",
	Name = "GRAVESTONE2_NAME",
	Description = "GRAVESTONE2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE2"
	},
	EstateSplendor = {
		{ Estate = "CLERGY", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "GRAVESTONE3",
	Name = "GRAVESTONE3_NAME",
	Description = "GRAVESTONE3_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE3"
	},
	EstateSplendor = {
		{ Estate = "CLERGY", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "GRAVESTONE4",
	Name = "GRAVESTONE4_NAME",
	Description = "GRAVESTONE4_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE4"
	},
	EstateSplendor = {
		{ Estate = "CLERGY", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "GRAVESTONE5",
	Name = "GRAVESTONE5_NAME",
	Description = "GRAVESTONE5_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE5"
	},
	EstateSplendor = {
		{ Estate = "CLERGY", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "GRAVESTONE6",
	Name = "GRAVESTONE6_NAME",
	Description = "GRAVESTONE6_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE6"
	},
	EstateSplendor = {
		{ Estate = "CLERGY", Quantity = 0.5 }
	}
})
-- Register Building Part - Grain Sacks
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SACK_GRAIN",
	Name = "SACK_GRAIN_NAME",
	Description = "SACK_GRAIN_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SACK_GRAIN"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SACK_CLOSED",
	Name = "SACK_CLOSED_NAME",
	Description = "SACK_CLOSED_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SACK_CLOSED"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SACK_SQUARE",
	Name = "SACK_SQUARE_NAME",
	Description = "SACK_SQUARE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 0.3},
			{0.5, -0.3},
			{-0.5, -0.3},
			{-0.5, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SACK_SQUARE"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
-- Register Building Part - Hay Bales
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "HAYBALE1",
	Name = "HAYBALE1_NAME",
	Description = "HAYBALE1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 0.3},
			{0.5, -0.3},
			{-0.5, -0.3},
			{-0.5, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_HAYBALE1"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "HAYBALE2",
	Name = "HAYBALE2_NAME",
	Description = "HAYBALE2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.6, 0.4},
			{0.6, -0.4},
			{-0.6, -0.4},
			{-0.6, 0.4}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_HAYBALE2"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "HAYBALE3",
	Name = "HAYBALE3_NAME",
	Description = "HAYBALE3_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.6, 0.4},
			{0.6, -0.4},
			{-0.6, -0.4},
			{-0.6, 0.4}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_HAYBALE3"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "HAYBALE4",
	Name = "HAYBALE4_NAME",
	Description = "HAYBALE4_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.6, 0.4},
			{0.6, -0.4},
			{-0.6, -0.4},
			{-0.6, 0.4}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_HAYBALE4"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
-- Register Building Part - Logs
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "LARGEWOOD1",
	Name = "LARGEWOOD1_NAME",
	Description = "LARGEWOOD1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.6, 0.3},
			{1.6, -0.3},
			{-1.6, -0.3},
			{-1.6, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LARGEWOOD1"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "LARGEWOOD2",
	Name = "LARGEWOOD2_NAME",
	Description = "LARGEWOOD2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.6, 1},
			{1.6, -1},
			{-1.6, -1},
			{-1.6, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LARGEWOOD2"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "LARGEWOOD3",
	Name = "LARGEWOOD3_NAME",
	Description = "LARGEWOOD3_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.6, 0.1},
			{1.6, -1.3},
			{-1.6, -1.3},
			{-1.6, 0.1},
			{-0.3, 2.4},
			{0.3, 2.4}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LARGEWOOD3"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SMALLWOOD1",
	Name = "SMALLWOOD1_NAME",
	Description = "SMALLWOOD1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.9, 0.1},
			{0.9, -0.1},
			{-0.9, -0.1},
			{-0.9, 0.1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SMALLWOOD1"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SMALLWOOD2",
	Name = "SMALLWOOD2_NAME",
	Description = "SMALLWOOD2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.8, 0.2},
			{0.8, -0.2},
			{-0.8, -0.2},
			{-0.8, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SMALLWOOD2"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SMALLWOOD3",
	Name = "SMALLWOOD3_NAME",
	Description = "SMALLWOOD3_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.1, 0.2},
			{1.1, -0.4},
			{-0.9, -0.4},
			{-0.9, 1},
			{-0.2, 1},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SMALLWOOD3"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SMALLWOOD4",
	Name = "SMALLWOOD4_NAME",
	Description = "SMALLWOOD4_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.8, 0.8},
			{0.8, -0.8},
			{-0.8, -0.8},
			{-0.8, 0.8}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SMALLWOOD4"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CHOPPEDWOOD1",
	Name = "CHOPPEDWOOD1_NAME",
	Description = "CHOPPEDWOOD1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CHOPPEDWOOD1"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
-- Register Building Parts - Misc
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BENCH_STONE1",
	Name = "BENCH_STONE1_NAME",
	Description = "BENCH_STONE1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1, 0.3},
			{1, -0.3},
			{-1, -0.3},
			{-1, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BENCH_STONE1"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BENCH_STONE2",
	Name = "BENCH_STONE2_NAME",
	Description = "BENCH_STONE2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.2, 0.3},
			{1.2, -0.3},
			{-1.2, -0.3},
			{-1.2, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BENCH_STONE2"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "BRAZIER_ON_FIRE",
	Name = "BRAZIER_ON_FIRE_NAME",
	Description = "BRAZIER_ON_FIRE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRAZIER_ON_FIRE"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CAMPFIRE",
	Name = "CAMPFIRE_NAME",
	Description = "CAMPFIRE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CAMPFIRE"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CAMPFIRE_ON_FIRE",
	Name = "CAMPFIRE_ON_FIRE_NAME",
	Description = "CAMPFIRE_ON_FIRE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CAMPFIRE_ON_FIRE"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CAT",
	Name = "CAT_NAME",
	Description = "CAT_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CAT"
	},
	EstateSplendor = {
		{ Estate = "CLERGY", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CAULDRON",
	Name = "CAULDRON_NAME",
	Description = "CAULDRON_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CAULDRON"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 1 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CHEST",
	Name = "CHEST_NAME",
	Description = "CHEST_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CHEST"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "COFFIN_STONE",
	Name = "COFFIN_STONE_NAME",
	Description = "COFFIN_STONE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.4, 1},
			{0.4, -1},
			{-0.4, -1},
			{-0.4, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COFFIN_STONE"
	},
	EstateSplendor = {
		{ Estate = "CLERGY", Quantity = 1 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "DOG",
	Name = "DOG_NAME",
	Description = "DOG_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DOG"
	},
	EstateSplendor = {
		{ Estate = "CLERGY", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON",
	Name = "DRAGON_NAME",
	Description = "DRAGON_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.2, 3.7},
			{1.2, -3.7},
			{-1.2, -3.7},
			{-1.2, 3.7}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DRAGON"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "GUILLOTINE",
	Name = "GUILLOTINE_NAME",
	Description = "GUILLOTINE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.4, 0.4},
			{0.6, -1.7},
			{-0.6, -1.7},
			{-1.4, 0.4},
			{-0.6, 1.6},
			{0.6, 1.6}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GUILLOTINE"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 2 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "HANGING_CAGES",
	Name = "HANGING_CAGES_NAME",
	Description = "HANGING_CAGES_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.2, 1},
			{1.2, -1},
			{-1.2, -1},
			{-1.2, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_HANGING_CAGES"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 2 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "LANTERN",
	Name = "LANTERN_NAME",
	Description = "LANTERN_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LANTERN"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PUMPKIN",
	Name = "PUMPKIN_NAME",
	Description = "PUMPKIN_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PUMPKIN"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SKULLS1",
	Name = "SKULLS1_NAME",
	Description = "SKULLS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SKULLS1"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SKULLS2",
	Name = "SKULLS2_NAME",
	Description = "SKULLS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SKULLS2"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "STRANGEPLANT",
	Name = "STRANGEPLANT_NAME",
	Description = "STRANGEPLANT_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.5, 0.5},
			{0.5, -0.5},
			{-0.5, -0.5},
			{-0.5, 0.5}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STRANGEPLANT"
	},
	EstateSplendor = {
		{ Estate = "CLERGY", Quantity = 2 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "STUMP",
	Name = "STUMP_NAME",
	Description = "STUMP_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STUMP"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SWORD_STONE",
	Name = "SWORD_STONE_NAME",
	Description = "SWORD_STONE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SWORD_STONE"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "TARGET",
	Name = "TARGET_NAME",
	Description = "TARGET_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TARGET"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "TOOLS_BARREL",
	Name = "TOOLS_BARREL_NAME",
	Description = "TOOLS_BARREL_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TOOLS_BARREL"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "TOOLS_RACK",
	Name = "TOOLS_RACK_NAME",
	Description = "TOOLS_RACK_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.4, 0.3},
			{0.4, -0.3},
			{-0.4, -0.3},
			{-0.4, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TOOLS_RACK"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "TROUGH",
	Name = "TROUGH_NAME",
	Description = "TROUGH_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1, 0.3},
			{1, -0.3},
			{-1, -0.3},
			{-1, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TROUGH"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "TUB",
	Name = "TUB_NAME",
	Description = "TUB_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TUB"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "WHEEL",
	Name = "WHEEL_NAME",
	Description = "WHEEL_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WHEEL"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "WHEELBARROW",
	Name = "WHEELBARROW_NAME",
	Description = "WHEELBARROW_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.6},
			{0.2, -0.6},
			{-0.2, -0.6},
			{-0.2, 0.6}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WHEELBARROW"
	},
	EstateSplendor = {
		{ Estate = "LABOUR", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "WOODEN_DOOR1",
	Name = "WOODEN_DOOR1_NAME",
	Description = "WOODEN_DOOR1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.6, 0.2},
			{1.6, -0.2},
			{-1.6, -0.2},
			{-1.6, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WOODEN_DOOR1"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 0.5 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "WOODENGATE_OPEN",
	Name = "WOODENGATE_OPEN_NAME",
	Description = "WOODENGATE_OPEN_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WOODENGATE_OPEN"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 2 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "WOODENGATE_LOCKED",
	Name = "WOODENGATE_LOCKED_NAME",
	Description = "WOODENGATE_LOCKED_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{2, 0.4},
			{2, -0.4},
			{-2, -0.4},
			{-2, 0.4}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WOODENGATE_LOCKED"
	},
	EstateSplendor = {
		{ Estate = "KINGDOM", Quantity = 2 }
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "GRASS_CLEARING_STONE",
	Name = "GRASS_CLEARING_STONE_NAME",
	Description = "GRASS_CLEARING_STONE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS_CLEARING_STONE"
	}
})

-- Register Components
VillageDeco:registerPrefabComponent("models/tub.fbx/Prefab/Tub", {
	DataType = "COMP_RESOURCE_CONTAINER",
	ResourceData = "WATER",
	IsReplenishable = true,
	ReplenishDurationInDays = 1,
	ReplenishQuantity = 5,
	AvailableQuantity = 5,
	IsDestroyWhenEmpty = false
})
VillageDeco:registerPrefabComponent("models/trough.fbx/Prefab/Trough", {
	DataType = "COMP_RESOURCE_CONTAINER",
	ResourceData = "WATER",
	IsReplenishable = true,
	ReplenishDurationInDays = 1,
	ReplenishQuantity = 5,
	AvailableQuantity = 5,
	IsDestroyWhenEmpty = false
})
VillageDeco:registerPrefabComponent("models/cart.fbx/Prefab/Barrels_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
VillageDeco:registerPrefabComponent("models/cart.fbx/Prefab/Cart_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
VillageDeco:registerPrefabComponent("models/cart.fbx/Prefab/Crane_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
VillageDeco:registerPrefabComponent("models/cart.fbx/Prefab/Crates_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
VillageDeco:registerPrefabComponent("models/cart.fbx/Prefab/Grain_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
VillageDeco:registerPrefabComponent("models/cart.fbx/Prefab/Hay_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
VillageDeco:registerPrefabComponent("models/cart.fbx/Prefab/Logs_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
VillageDeco:registerPrefabComponent("models/cart.fbx/Prefab/Mix1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
VillageDeco:registerPrefabComponent("models/cart.fbx/Prefab/Mix2_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
VillageDeco:registerPrefabComponent("models/campfire.fbx/Prefab/Campfire", {
	DataType = "COMP_DIRT_CIRCLE"
})
VillageDeco:registerPrefabComponent("models/campfire.fbx/Prefab/Campfire_On_Fire", {
	DataType = "COMP_DIRT_CIRCLE"
})
VillageDeco:registerPrefabComponent("models/logs.fbx/Prefab/Stump", {
	DataType = "COMP_DIRT_CIRCLE"
})
VillageDeco:registerPrefabComponent("models/grass_clearing_stone.fbx/Prefab/Grass_Clearing_Stone", {
	DataType = "COMP_DIRT_CIRCLE"
})
VillageDeco:registerPrefabComponent("models/guillotine.fbx/Prefab/Guillotine/Bucket", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/logs.fbx/Prefab/Chopped1", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/barrels.fbx/Prefab/Barrel1", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/barrels.fbx/Prefab/Barrel2", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/barrels.fbx/Prefab/Barrel3", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.6,
	SoftRadius = 1.2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/barrels.fbx/Prefab/Barrel_Berries", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/barrels.fbx/Prefab/Barrel_Fish", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/barrels.fbx/Prefab/Barrel_Hops", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/barrels.fbx/Prefab/Barrel_Grapes", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate1", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate2", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.6,
	SoftRadius = 1.2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate3", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.6,
	SoftRadius = 1.2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate4", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.6,
	SoftRadius = 1.2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate5", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.6,
	SoftRadius = 1.2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate_Coal", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Handcrate", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/sacks.fbx/Prefab/Sack_Grain", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/sacks.fbx/Prefab/Sack_Closed", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/sacks.fbx/Prefab/Sack_Square", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.6,
	SoftRadius = 1.2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/haybales.fbx/Prefab/Haybale1", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.6,
	SoftRadius = 1.2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/haybales.fbx/Prefab/Haybale2", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.6,
	SoftRadius = 1.2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/haybales.fbx/Prefab/Haybale3", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.6,
	SoftRadius = 1.2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/haybales.fbx/Prefab/Haybale4", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.6,
	SoftRadius = 1.2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence1", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence2", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence3", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence4", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence5", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/gravestones.fbx/Prefab/Gravestone1", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/gravestones.fbx/Prefab/Gravestone2", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/gravestones.fbx/Prefab/Gravestone3", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/gravestones.fbx/Prefab/Gravestone4", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/gravestones.fbx/Prefab/Gravestone5", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/gravestones.fbx/Prefab/Gravestone6", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/coffin.fbx/Prefab/Coffin_Stone", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/cat.fbx/Prefab/Cat", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.4,
	SoftRadius = 0.8,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/cauldron.fbx/Prefab/Cauldron", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/bench.fbx/Prefab/Bench_Stone1", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/bench.fbx/Prefab/Bench_Stone2", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/trough.fbx/Prefab/Trough", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.7,
	SoftRadius = 2,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/tub.fbx/Prefab/Tub", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.5,
	SoftRadius = 1,
	Strength = 0.5
})
VillageDeco:registerPrefabComponent("models/guillotine.fbx/Prefab/Guillotine/Bucket", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence1/Nature1", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence1/Nature2", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence2/Nature3", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence2/Nature4", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence3/Nature5", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence3/Nature6", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/woodengate.fbx/Prefab/Woodengate_Open/Door_R", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/woodengate.fbx/Prefab/Woodengate_Open/Door_L", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/woodengate.fbx/Prefab/Woodengate_Open/Door_R", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZoneData = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0, -1.1},
			{0.6, 0.6},
			{0, 0.5},
			{-0.6, -1.1}
		}
	}
})
VillageDeco:registerPrefabComponent("models/woodengate.fbx/Prefab/Woodengate_Open/Door_L", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZoneData = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.1, 0.3},
			{1.1, -0.3},
			{-0.6, -0.3},
			{-0.6, 0.3}
		}
	}
})

-- Register Particle System
VillageDeco:registerPrefabComponent("models/brazier.fbx/Prefab/Brazier_On_Fire/FireEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "FIRE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
VillageDeco:registerPrefabComponent("models/campfire.fbx/Prefab/Campfire_On_Fire/FireEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "CAMPFIRE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})

VillageDeco:registerAssetId("models/fire.png", "FIRE_TEXTURE")

VillageDeco:register({
	DataType = "MATERIAL",
	Id = "FIRE_MATERIAL",
	AlbedoTexture = "FIRE_TEXTURE"
})

VillageDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "FIRE_PARTICLE_SYSTEM",
	Material = "FIRE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 2,
	Looping = true,
	Delay = { 0, 0},
	LifeTime = 2,
	StartSpeed = { 0.7, 0.7 },
	StartSize = { 4, 4 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 15,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 15,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.1, 0.1, 0.1 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.6, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.4, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 0.5 } }
		},
		AlphaList = {
			{ T = 0, Alpha = 0 },
			{ T = 0.1, Alpha = 100 },
			{ T = 0.2, Alpha = 100 },
			{ T = 1, Alpha = 50 }
		},
		},
		SizeOverLifetime = {
			{ T = 0, Value = 0.1 },
			{ T = 0.7, Value = 0.25 },
			{ T = 1.5, Value = 0.4 }
	},
	RotationOverLifetime = { -45, 45 },
})
VillageDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "CAMPFIRE_PARTICLE_SYSTEM",
	Material = "FIRE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 2,
	Looping = true,
	Delay = { 0, 0},
	LifeTime = 2,
	StartSpeed = { 0.7, 0.7 },
	StartSize = { 2, 2 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 15,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 10,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0.1, 0.1, 0.1 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.6, 0.4, 0, 1} },
			{ T = 0.5, Color = { 0.6, 0.4, 0.4, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 1 } }
		},
		AlphaList = {
			{ T = 0, Alpha = 0 },
			{ T = 0.1, Alpha = 100 },
			{ T = 0.2, Alpha = 100 },
			{ T = 1, Alpha = 50 }
		},
		},
		SizeOverLifetime = {
			{ T = 0, Value = 0.1 },
			{ T = 0.7, Value = 0.25 },
			{ T = 1.5, Value = 0.4 }
	},
	RotationOverLifetime = { -45, 45 },
})